#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_COMPRESS_EXCLUDE := examples
DEB_FIXPERMS_EXCLUDE := .py .sh

# In order to regenerate 'debian/control' :
#    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

binary-install/python-soya-doc::
	find debian/python-soya-doc/usr/share/ -type f ! -name "*.py" -a ! -name '*.sh' -exec chmod -R a-x {} \;
	find debian/python-soya-doc/usr/share/ -type f -name "*.py" -exec python debian/fix-shebang.py {} \;
	find debian/python-soya-doc -depth -name ".arch-ids" -exec rm -rf {} \;
	find debian/python-soya-doc -name "LICENSE" -exec rm -rf {} \;
	# Move everything from tutorial in examples directory
	mv debian/python-soya-doc/usr/share/doc/python-soya-doc/tutorial debian/python-soya-doc/usr/share/doc/python-soya-doc/examples
